#
# spec file for package libmirage
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libmirage
%define lname   libmirage10
%define pname	3_0
Summary:        A CD-ROM image access library
License:        GPL-2.0+
Group:          Development/Libraries/C and C++
Version:        3.0.3
Release:        6.4
Url:            http://cdemu.sf.net/about/libmirage/

#Git-Clone:     git://git.code.sf.net/p/cdemu/code
Source:         http://downloads.sf.net/cdemu/%name-%version.tar.bz2
BuildRequires:  cmake >= 2.8.5
BuildRequires:  pkgconfig >= 0.16
BuildRequires:  pkgconfig(bzip2) >= 1.0.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.28
BuildRequires:  pkgconfig(gmodule-2.0) >= 2.28
BuildRequires:  pkgconfig(gobject-2.0) >= 2.28
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 1.30.0
BuildRequires:  pkgconfig(gtk-doc) >= 1.4
BuildRequires:  pkgconfig(liblzma) >= 5.0.0
BuildRequires:  pkgconfig(samplerate) >= 0.1.0
BuildRequires:  pkgconfig(sndfile) >= 1.0.0
BuildRequires:  pkgconfig(zlib) >= 1.2.0

%description
A CD-ROM image access library part of the cdemu suite.

libmirage provides uniform access to the data stored in different
image formats by creating a representation of disc stored in image
file.

%package -n %lname
Summary:        A CD-ROM image access library
Group:          System/Libraries
# Technically Suggests:, but pretty useless without
Requires:       libmirage-%pname >= %version

%description -n %lname
A CD-ROM image access library part of the cdemu suite.

libmirage provides uniform access to the data stored in different
image formats by creating a representation of disc stored in image
file.

%package %pname
Summary:        CD-ROM image format plugins for libmirage
Group:          System/Libraries
Recommends:     libmirage-data

%description %pname
A CD-ROM image access library part of the cdemu suite.

libmirage provides uniform access to the data stored in different
image formats by creating a representation of disc stored in image
file.

This package provides the image format plugins for libmirage.

%package devel
Summary:        Development files for libmirage, a CD-ROM image access library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
A CD-ROM image access library part of the cdemu suite.

libmirage provides uniform access to the data stored in different
image formats by creating a representation of disc stored in image
file.

This package contains files needed to develop with libmirage.

%package data
Summary:        MIME type definitions and documentation for libmirage
Group:          Development/Libraries/C and C++
Requires(post): shared-mime-info
Requires(postun): shared-mime-info
BuildArch:      noarch

%description data
libmirage provides uniform access to the data stored in different
image formats by creating a representation of disc stored in image
file.

This package contains the MIME type definitions and documentation.

%package -n typelib-1_0-libmirage-%pname
Summary:        The libmirage CD-ROM image access library - introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-libmirage-%pname
libmirage provides uniform access to the data stored in different
image formats by creating a representation of disc stored in image
file.

This package provides the GObject Introspection bindings for libmirage.

%prep
%setup -q

%build
cmake . \
	-DCMAKE_INSTALL_PREFIX:PATH="%_prefix" \
	-DCMAKE_C_FLAGS:STRING="%optflags"
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libmirage.so.10*

%files %pname
%defattr(-,root,root)
%_libdir/libmirage-3.0/

%files data
%defattr(-,root,root)
%_datadir/gtk-doc/
%_datadir/mime/packages/*

%files devel
%defattr(-,root,root)
%_includedir/libmirage-3.0/
%_libdir/libmirage.so
%_libdir/pkgconfig/libmirage.pc
%_datadir/gir-1.0

%files -n typelib-1_0-libmirage-%pname
%defattr(-,root,root)
%_libdir/girepository-1.0

%changelog
* Tue Nov 25 2014 jengelh@inai.de
- Update to new upstream release 3.0.3
  * fixed an out-of-bounds array access when initializing CRC-32
  table data in mirage_helper_init_crc32_lut()
* Thu Oct  2 2014 jengelh@inai.de
- Update to new upstream release 3.0.2
  * TOC writer: fixed object (session, track, fragment) leak.
  Fixes problems with no data being written to files in cases when
  a virtual image is written, its target files removed and then
  burned again.
* Sat Sep  6 2014 jengelh@inai.de
- Update to new upstream release 3.0.1
  * added missing installation rules for GBI and XMD MIME types
* Sun Jul 13 2014 sor.alexei@meowr.ru
- Update to new upstream release 3.0.0
  * The file access and filter stream layer in libMirage were
  revised to allow implementation of filters for both reading and
  writing, and an infrastructure for implementing image writers
  was added, along with reference implementations for ISO and TOC
  writers.
* Sun Nov 24 2013 jengelh@inai.de
- Update to new upstream release 2.1.1
  * sector's EDC is now computed using fast slice-by-8 CRC32 algorithm
  * added function for ISRC validation to be used by image parsers
- Remove 0001-libMirage-proper-versioning-of-the-introspection-typ.patch
  (merged upstream)
* Sun Jun  9 2013 jengelh@inai.de
- Update to new upstream release 2.1.0
  * This release adds a MacBinary/NDIF file filter, a new resource
  fork parser for DMG, samplerate conversion for the SndFile filter,
  non-blocking I/O, and dynamic device addition/removal.
- Remove patches (merged upstream):
  0001-libMirage-CMake-fix-SOVERSION-which-should-be-set-to.patch,
  0001-libMirage-READCD-Parser-readcd-from-cdrtools-appears.patch,
  0001-libMirage-READCD-Parser-when-verifying-the-file-don-.patch,
  0001-libMirage-SNDFILE-filter-instead-of-a-single-frame-c.patch
- Add (cherry-picked fixes):
  0001-libMirage-proper-versioning-of-the-introspection-typ.patch
* Tue Mar 12 2013 jengelh@inai.de
- Add 0001-libMirage-SNDFILE-filter-instead-of-a-single-frame-c.patch
  to resolve excess CPU usage during CDDA readout
  (bnc#809181, bnc#809862)
* Sun Feb 24 2013 jengelh@inai.de
- Add 0001-libMirage-READCD-Parser-when-verifying-the-file-don-.patch
  0001-libMirage-READCD-Parser-readcd-from-cdrtools-appears.patch
  to make images created by readcd(1) usable again
  (bugurl: http://sf.net/p/cdemu/feature-requests/21/)
* Sat Jan  5 2013 jengelh@inai.de
- Add 0001-libMirage-CMake-fix-SOVERSION-which-should-be-set-to.patch
* Sat Dec 22 2012 jengelh@inai.de
- Update to new upstream release 2.0.0 (up from 1.5.0)
  * Added ISZ, CSO and DMG file filters
  * Converted DAA parser to a file filter and added support for the
  related GBI format
  * Converted audio fragment to a file filter
  * Added file filter machinery and converted existing code to use it
  * Image analyzer displays disc structures
  * Added support for gobject introspection
  * Added support for GZIP and XZ compressed images
  * Added support for ECM'ed files
  * Improved CIF parser
  * Partial support for (one track) MDX images
  * Improved GVFS support
* Mon May 21 2012 jengelh@inai.de
- Initial package for build.opensuse.org
